import 'dart:math';

import 'package:flutter/material.dart';
import 'package:sendtrain/database/database.dart';
import 'package:sendtrain/models/activity_model.dart';
import 'package:sendtrain/widgets/activity_card.dart';

class SessionViewActivities extends StatelessWidget {
  const SessionViewActivities({super.key, this.activities, required this.data});

  final List<ActivityModel>? activities;
  final List<Activity> data;

  @override
  Widget build(BuildContext context) {
    return Expanded(
        child: ListView.builder(
      // shrinkWrap: true,
      padding: const EdgeInsets.fromLTRB(10, 0, 10, 0),
      itemCount: data.length,
      itemBuilder: (BuildContext context, int index) {
        return ActivityCard(
            activity: activities![Random().nextInt(activities!.length)],
            data: data[index]);
      },
    ));
  }
}